<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

/*
	Variable de pago
	Los datos vienen procesados de pro_carro_pedido.php
*/

if (isset($_GET["scv"]))
{
		
		$scvget = $_GET["scv"];
		$pidget = isset($_GET["pid"]) ? $_GET["pid"] : 0;

		$pedido_id = isset($_SESSION["ses_pedido_id"]) ? $_SESSION["ses_pedido_id"] : 0;
		
		// si no es nueva compra
		if ($scvget != 1 && $pidget != 0)
		{
			$qped = myquery("SELECT * FROM ".TD_PEDIDOS." WHERE codigo_cliente='".$scvget."' AND pedID='".$pidget."' ORDER BY pedID DESC LIMIT 0,1","[var_scv=3]");
			$rowped = myfetch($qped);
			if ($rowped)
			{
				$pedido_id = $rowped["pedID"];
			} else {
			
				$pedido_id = 0;
			
			}

			// Smarty
			$smarty->assign("es_resumen_pedido", 1);
			$smarty->assign("dialogo", $rowped["dialogo"]); // texto en el resumen del pedido
		
		}
		
	if ($pedido_id > 0)
	{
		
		$k = 0; // total
		$productos = array();
		$qp = myquery("SELECT * FROM ".TD_CARRO." WHERE pedID='".$pedido_id."'","[var_scv=1]");
		while ($rowp = myfetch($qp))
		{
				$q = myquery("SELECT * FROM ".ITEMS." WHERE itemID='".$rowp["itemID"]."'","[var_scv=2]");
				if ($r = myfetch($q))
				{
					if (IDIOMA_ACTUAL == 0)
					{		
						$r["titulo"] = $r["titulo"] ;
						$r["titulo_popup"] = salida_popups($r["titulo"]) ;
			
					} else if (IDIOMA_ACTUAL == 1) {
		
						$r["titulo"] = $r["titulo_1"] ;
						$r["titulo_popup"] = salida_popups($r["titulo_1"]) ;
		
					} else if (IDIOMA_ACTUAL == 2) {
		
						$r["titulo"] = $r["titulo_2"] ;
						$r["titulo_popup"] = salida_popups($r["titulo_2"]) ;
		
					} else if (IDIOMA_ACTUAL == 3) {
		
						$r["titulo"] = $r["titulo_3"] ;
						$r["titulo_popup"] = salida_popups($r["titulo_3"]) ;
		
					} else if (IDIOMA_ACTUAL == 4) {
		
						$r["titulo"] = $r["titulo_4"] ;
						$r["titulo_popup"] = salida_popups($r["titulo_4"]) ;
		
					} else if (IDIOMA_ACTUAL == 5) {
		
						$r["titulo"] = $r["titulo_5"] ;
						$r["titulo_popup"] = salida_popups($r["titulo_5"]) ;
		
					}
					$tmp = array();
					$tmp["id"] = $r["itemID"];
					$tmp["name"] = $r["titulo"];
					$tmp["name_popup"] = $r["titulo_popup"];
					$tmp["quantity"] = $rowp["cantidad_producto"];
					$tmp["product_code"] = $r["td_codigo"];
					$tmp["precio"] = mostrar_pvp($rowp["precio_producto"]);
					$tmp["cost"] = mostrar_pvp($rowp["cantidad_producto"]*$rowp["precio_producto"]);
					$tmp["tipo"] = $r["td_tipo"];

					$productos[] = $tmp;
					

					// cantidad final
					$k += $rowp["cantidad_producto"]*$rowp["precio_producto"];
					
				} // del if
		
		} // del while
		

			// Smarty
			$smarty->assign("pedido_productos", $productos);
			$smarty->assign("pedido_total_mostrar", mostrar_pvp($k));
			$smarty->assign("pedido_id", $pedido_id);
			$smarty->assign("pedido_total", $k);
	
	} else {
	
			// Smarty
			$smarty->assign("pedido_productos", "");
			$smarty->assign("pedido_msj", 1);
	
	
	} // del if ($pedido_id > 0)
	
}

?>